Package ghidra.app.util.bin.format.macho.threadcommand

# Class ThreadStateX86_32

java.lang.Object
ghidra.app.util.bin.format.macho.threadcommand.ThreadState
ghidra.app.util.bin.format.macho.threadcommand.ThreadStateX86_32

All Implemented Interfaces:
  `StructConverter`

public class ThreadStateX86_32 extends ThreadState
Represents a _STRUCT_X86_THREAD_STATE32 structure.

See Also:
  - mach/i386/_structs.h

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cs`
  `int`
  `ds`
  `int`
  `eax`
  `int`
  `ebp`
  `int`
  `ebx`
  `int`
  `ecx`
  `int`
  `edi`
  `int`
  `edx`
  `int`
  `eflags`
  `int`
  `eip`
  `int`
  `es`
  `int`
  `esi`
  `int`
  `esp`
  `int`
  `fs`
  `int`
  `gs`
  `static final int`
  `i386_EXCEPTION_STATE`
  Deprecated.
  `static final int`
  `i386_FLOAT_STATE`
  Deprecated.
  `static final int`
  `i386_THREAD_STATE`
  Deprecated.
  `int`
  `ss`
  `static final int`
  `THREAD_STATE_NONE`
  `static final int`
  `x86_DEBUG_STATE`
  `static final int`
  `x86_DEBUG_STATE32`
  `static final int`
  `x86_DEBUG_STATE64`
  `static final int`
  `x86_EXCEPTION_STATE`
  `static final int`
  `x86_EXCEPTION_STATE32`
  `static final int`
  `x86_EXCEPTION_STATE64`
  `static final int`
  `x86_FLOAT_STATE`
  `static final int`
  `x86_FLOAT_STATE32`
  `static final int`
  `x86_FLOAT_STATE64`
  `static final int`
  `x86_THREAD_STATE`
  `static final int`
  `x86_THREAD_STATE32`
  `static final int`
  `x86_THREAD_STATE64`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getInstructionPointer()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### eax

    public int eax

  - ### ebx

    public int ebx

  - ### ecx

    public int ecx

  - ### edx

    public int edx

  - ### edi

    public int edi

  - ### esi

    public int esi

  - ### ebp

    public int ebp

  - ### esp

    public int esp

  - ### ss

    public int ss

  - ### eflags

    public int eflags

  - ### eip

    public int eip

  - ### cs

    public int cs

  - ### ds

    public int ds

  - ### es

    public int es

  - ### fs

    public int fs

  - ### gs

    public int gs

  - ### i386_THREAD_STATE

    @Deprecated public static final int i386_THREAD_STATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### i386_FLOAT_STATE

    @Deprecated public static final int i386_FLOAT_STATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### i386_EXCEPTION_STATE

    @Deprecated public static final int i386_EXCEPTION_STATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### x86_THREAD_STATE32

    public static final int x86_THREAD_STATE32
    See Also:
      - Constant Field Values

  - ### x86_FLOAT_STATE32

    public static final int x86_FLOAT_STATE32
    See Also:
      - Constant Field Values

  - ### x86_EXCEPTION_STATE32

    public static final int x86_EXCEPTION_STATE32
    See Also:
      - Constant Field Values

  - ### x86_THREAD_STATE64

    public static final int x86_THREAD_STATE64
    See Also:
      - Constant Field Values

  - ### x86_FLOAT_STATE64

    public static final int x86_FLOAT_STATE64
    See Also:
      - Constant Field Values

  - ### x86_EXCEPTION_STATE64

    public static final int x86_EXCEPTION_STATE64
    See Also:
      - Constant Field Values

  - ### x86_THREAD_STATE

    public static final int x86_THREAD_STATE
    See Also:
      - Constant Field Values

  - ### x86_FLOAT_STATE

    public static final int x86_FLOAT_STATE
    See Also:
      - Constant Field Values

  - ### x86_EXCEPTION_STATE

    public static final int x86_EXCEPTION_STATE
    See Also:
      - Constant Field Values

  - ### x86_DEBUG_STATE32

    public static final int x86_DEBUG_STATE32
    See Also:
      - Constant Field Values

  - ### x86_DEBUG_STATE64

    public static final int x86_DEBUG_STATE64
    See Also:
      - Constant Field Values

  - ### x86_DEBUG_STATE

    public static final int x86_DEBUG_STATE
    See Also:
      - Constant Field Values

  - ### THREAD_STATE_NONE

    public static final int THREAD_STATE_NONE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getInstructionPointer

    public long getInstructionPointer()
    Specified by:
      `getInstructionPointer` in class `ThreadState`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`